package com.hzya.frame.sys.userViewFiled.dao;

import com.hzya.frame.sys.userViewFiled.entity.UserViewFiled;
import java.util.List;

/**
 * @description: 个人显示字段表  dao
 * @tableName: sys_user_view_filed 
 * @entityName: UserViewFiled
 * @author: gjh
 * @history: 1.0
 */
public interface IUserViewFiledMapper {

        //通过ID获取数据    entity_get
        UserViewFiled entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<UserViewFiled> entity_list_base(UserViewFiled entity);

        //  查询符合条件的数量
        Integer entity_count(UserViewFiled entity);

        //分页查询列表 采用like格式 entity_list_like
        List<UserViewFiled> entity_list_like(UserViewFiled entity);

        //查询列表 字段采用or格式   entity_list_or
        List<UserViewFiled> entity_list_or(UserViewFiled entity);

        //新增  entity_insert
        Integer entity_insert(UserViewFiled entity);

        //修改  entity_update
        Integer entity_update(UserViewFiled entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(UserViewFiled entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(UserViewFiled entity);

        //物理删除
        Integer entity_delete(UserViewFiled entity);


}
